=== debian/changelog ===
osm2pgsql (0.94.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Oct 2017 09:38:57 +0200

osm2pgsql (0.94.0~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop spelling-errors.patch, applied upstream.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Oct 2017 07:42:16 +0200

osm2pgsql (0.94.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop GEOS build dependencies, no longer required.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Bump minimum required libosmium2-dev to 2.13.1.
  * Drop license & copyright for win_fsync.h.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Sep 2017 00:46:23 +0200
