=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for osm2pgsql  

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Verbose test output
export VERBOSE=1

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ \
		--buildsystem cmake \
		--parallel

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	# clean up some naive file permissions
	dh_compress -X.php -X.sql -X.js -X.c -X.h
