=== debian/changelog ===
osm2pgsql (0.96.0+ds-2) unstable; urgency=medium

  * Strip trailing whitespace from changelog, control & rules files.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 09:55:45 +0200

osm2pgsql (0.96.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 May 2018 07:09:33 +0200

osm2pgsql (0.96.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Strip trailing whitespace from changelog & rules.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update Vcs-* URLs for Salsa.
  * Also exclude embedded copy of protozero.
  * Override dh_auto_configure to use external libosmium & protozero.
  * Bump minimum required libosmium2-dev to 2.14.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Apr 2018 10:16:43 +0200
