=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.13.1),
+               libosmium2-dev (>= 2.14.0),
                libpq-dev,
                libproj-dev,
                zlib1g-dev,
@@ -21,9 +21,9 @@
                lua5.2,
                python,
                python-psycopg2
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgsql.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgsql.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osm2pgsql
 
 Package: osm2pgsql
@@ -36,4 +36,3 @@
  into a PostgreSQL database with PostGIS geospatial extensions. This
  database may then be used to render maps with Mapnik or for other
  geospatial analysis.
-
