=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# debian/rules for osm2pgsql  
+# debian/rules for osm2pgsql
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -18,6 +18,10 @@
 		--buildsystem cmake \
 		--parallel
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DEXTERNAL_LIBOSMIUM=ON \
+	                     -DEXTERNAL_PROTOZERO=ON
+
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"
 
@@ -27,4 +31,3 @@
 override_dh_compress:
 	# clean up some naive file permissions
 	dh_compress -X.php -X.sql -X.js -X.c -X.h
-
