## osm2pgsql 1.2.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 set(PACKAGE osm2pgsql)
 set(PACKAGE_NAME osm2pgsql)
-set(PACKAGE_VERSION 0.94.0)
+set(PACKAGE_VERSION 1.2.1)
 
 cmake_minimum_required(VERSION 2.8.7)
 
@@ -8,10 +8,15 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-set(DATA_DIR \"${CMAKE_INSTALL_PREFIX}/share/osm2pgsql\")
+if (WIN32)
+    set(DEFAULT_STYLE "default.style" CACHE STRING "Default style used unless one is given on the command line")
+else()
+    set(DEFAULT_STYLE "${CMAKE_INSTALL_PREFIX}/share/osm2pgsql/default.style" CACHE STRING "Default style used unless one is given on the command line")
+endif()
 
 option(BUILD_TESTS "Build test suite" OFF)
-option(WITH_LUA    "Build with lua support" ON)
+option(WITH_LUA    "Build with Lua support" ON)
+option(WITH_LUAJIT "Build with LuaJIT support" OFF)
 
 if (NOT TESTING_TIMEOUT)
   set(TESTING_TIMEOUT 1200)
@@ -51,6 +56,7 @@
 endif()
 
 option(EXTERNAL_LIBOSMIUM "Do not use the bundled libosmium" OFF)
+option(EXTERNAL_PROTOZERO "Do not use the bundled protozero" OFF)
 
 #############################################################
 # Detect available headers and set global compiler options
@@ -60,7 +66,7 @@
 include (CheckFunctionExists)
 include (CheckTypeSize)
 
-add_definitions( -DOSM2PGSQL_DATADIR=${DATA_DIR} )
+add_definitions( -DDEFAULT_STYLE=\"${DEFAULT_STYLE}\" )
 add_definitions( -DFIXED_POINT )
 
 CHECK_INCLUDE_FILES (termios.h HAVE_TERMIOS_H)
@@ -79,14 +85,24 @@
   set(OSMIUM_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/libosmium")
 endif()
 
+if (NOT EXTERNAL_PROTOZERO)
+  set(PROTOZERO_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/protozero/include")
+endif()
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
 
-find_package(Osmium REQUIRED COMPONENTS io proj)
-include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
+find_package(Osmium 2.14 REQUIRED COMPONENTS io proj)
+include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR})
 
 if (WITH_LUA)
-  find_package(Lua REQUIRED)
-  include_directories(${LUA_INCLUDE_DIR})
+  if (WITH_LUAJIT)
+    find_package(LuaJIT REQUIRED)
+    include_directories(${LUAJIT_INCLUDE_DIR})
+    set(HAVE_LUAJIT 1)
+  else()
+    find_package(Lua REQUIRED)
+    include_directories(${LUA_INCLUDE_DIR})
+  endif()
   set(HAVE_LUA 1)
 endif()
 
@@ -108,7 +124,9 @@
 
 set (LIBS ${Boost_LIBRARIES} ${PostgreSQL_LIBRARY} ${OSMIUM_LIBRARIES})
 
-if (LUA_FOUND)
+if (LUAJIT_FOUND)
+  list(APPEND LIBS ${LUAJIT_LIBRARIES})
+elseif(LUA_FOUND)
   list(APPEND LIBS ${LUA_LIBRARIES})
 endif()
 
@@ -150,17 +168,18 @@
 endif()
 
 set(osm2pgsql_lib_SOURCES
+  db-copy.cpp
   expire-tiles.cpp
   geometry-processor.cpp
   id-tracker.cpp
   middle-pgsql.cpp
   middle-ram.cpp
-  middle.cpp
   node-persistent-cache.cpp
   node-ram-cache.cpp
   options.cpp
   osmdata.cpp
   osmium-builder.cpp
+  gazetteer-style.cpp
   output-gazetteer.cpp
   output-multi.cpp
   output-null.cpp
@@ -179,6 +198,7 @@
   tagtransform-c.cpp
   util.cpp
   wildcmp.cpp
+  db-copy.hpp
   expire-tiles.hpp
   geometry-processor.hpp
   id-tracker.hpp
@@ -191,6 +211,7 @@
   osmdata.hpp
   osmium-builder.hpp
   osmtypes.hpp
+  gazetteer-style.hpp
   output-gazetteer.hpp
   output-multi.hpp
   output-null.hpp
@@ -212,7 +233,7 @@
   wkb.hpp
 )
 
-if (LUA_FOUND)
+if (LUA_FOUND OR LUAJIT_FOUND)
   list(APPEND osm2pgsql_lib_SOURCES tagtransform-lua.cpp)
 endif()
