=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 add_dependencies(check osm2pgsql)
 
 add_library(common-pg STATIC common-pg.cpp common-pg.hpp common-cleanup.cpp common-cleanup.hpp)
-add_library(middle-tests STATIC middle-tests.cpp middle-tests.hpp)
 
 set(TESTS
   test-expire-tiles.cpp
@@ -22,21 +21,22 @@
   test-output-multi-tags.cpp
   test-output-pgsql-area.cpp
   test-output-pgsql-schema.cpp
+  test-output-pgsql-int4.cpp
   test-output-pgsql-tablespace.cpp
   test-output-pgsql-validgeom.cpp
   test-output-pgsql-z_order.cpp
   test-output-pgsql.cpp
   test-parse-diff.cpp
+  test-parse-extra-args.cpp
   test-parse-xml2.cpp
   test-persistent-node-cache.cpp
-  test-pgsql-escape.cpp
   test-wildcard-match.cpp
 )
 
 foreach (test ${TESTS})
   get_filename_component(test_name ${test} NAME_WE)
   add_executable(${test_name} ${test})
-  target_link_libraries(${test_name} osm2pgsql_lib common-pg middle-tests)
+  target_link_libraries(${test_name} osm2pgsql_lib common-pg)
   add_test(NAME ${test_name} COMMAND ${test_name}
     WORKING_DIRECTORY ${osm2pgsql_SOURCE_DIR})
   add_dependencies(check ${test_name})
@@ -48,10 +48,8 @@
  test-expire-tiles
  test-middle-ram
  test-options-database
- test-options-parse
  test-parse-diff
  test-parse-xml2
- test-pgsql-escape
  test-wildcard-match
 )
 
@@ -62,13 +60,30 @@
 set_property(TEST test-middle-flat PROPERTY LABELS FlatNodes)
 set_property(TEST test-output-pgsql PROPERTY LABELS FlatNodes)
 
-if (NOT LUA_FOUND)
+# Fixture for creating test tablespace under a pg_virtualenv
+if (NOT WIN32)
+  message(STATUS "Added tablespace fixture...")
+  add_test(NAME FixtureTablespaceSetup
+      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/fixture-tablespace-setup
+      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+  add_test(NAME FixtureTablespaceCleanup
+      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/fixture-tablespace-cleanup
+      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+
+  set_tests_properties(FixtureTablespaceSetup PROPERTIES FIXTURES_SETUP Tablespace)
+  set_tests_properties(FixtureTablespaceCleanup PROPERTIES FIXTURES_CLEANUP Tablespace)
+endif()
+
+set_tests_properties(test-output-pgsql-tablespace
+                     PROPERTIES FIXTURES_REQUIRED Tablespace)
+
+if (NOT HAVE_LUA)
   # these tests require LUA support
   set_tests_properties(test-output-multi-poly-trivial PROPERTIES WILL_FAIL on)
   set_tests_properties(test-output-multi-tags PROPERTIES WILL_FAIL on)
 endif()
 
-find_package(PythonInterp)
+find_package(PythonInterp 3)
 
 if (PYTHONINTERP_FOUND)
   add_test(NAME regression-test-pbf COMMAND ${PYTHON_EXECUTABLE} tests/regression-test.py -f tests/liechtenstein-2013-08-03.osm.pbf -x $<TARGET_FILE:osm2pgsql>
@@ -76,6 +91,8 @@
   set_tests_properties(regression-test-pbf PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
   set_tests_properties(regression-test-pbf
       PROPERTIES ENVIRONMENT "HAVE_LUA=${LUA_FOUND}")
+  set_tests_properties(regression-test-pbf
+                       PROPERTIES FIXTURES_REQUIRED Tablespace)
   message(STATUS "Added test: regression-test-pbf (needs Python with psycopg2 module)")
 else()
   message(WARNING "Can not find python, regression test disabled")
