=== debian/changelog ===
osm2pgsql (1.2.1+ds-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:20 +0100

osm2pgsql (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.4.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Nov 2019 07:15:31 +0100

osm2pgsql (1.2.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Don't define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H, fixed in libosmium.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2019 06:01:22 +0200

osm2pgsql (1.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 06:52:48 +0200

osm2pgsql (1.00.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Aug 2019 05:44:53 +0200

osm2pgsql (0.96.0+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.
  * Update gbp.conf to use --source-only-changes by default.
  * Append -DNDEBUG to CXXFLAGS to remove buildpath from binaries.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 11:55:16 +0200
