=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.14.0),
+               libosmium2-dev (>= 2.15.4),
                libpq-dev,
                libproj-dev,
                zlib1g-dev,
                liblua5.2-dev,
                lua5.2,
-               python,
-               python-psycopg2
-Standards-Version: 4.1.5
+               python3,
+               python3-psycopg2
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osm2pgsql
