=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 # Verbose test output
 export VERBOSE=1
 
-CFLAGS += $(CPPFLAGS)
-CXXFLAGS += $(CPPFLAGS)
+CFLAGS += $(CPPFLAGS) -DNDEBUG
+CXXFLAGS += $(CPPFLAGS) -DNDEBUG
 
 %:
 	dh $@ \
