=== debian/changelog ===
osm2pgsql (1.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Drop obsolete examples file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jul 2020 16:47:58 +0200

osm2pgsql (1.2.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump minimum required libosmium2-dev to 2.15.6.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jun 2020 17:38:51 +0200
