=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                cmake,
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.15.4),
+               libosmium2-dev (>= 2.15.6),
                libpq-dev,
                libproj-dev,
                zlib1g-dev,
@@ -21,7 +21,7 @@
                lua5.2,
                python3,
                python3-psycopg2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osm2pgsql
